<div>
  LHS: <input type="number" [(ngModel)]="lhs"
              (change)="compute()"
              min="0" step="0.5"
              [class.error]="lhs < 1"/>
  RHS: <input type="number" [(ngModel)]="rhs"
              (change)="compute()"
              min="0" step="0.5"
              [class.error]="rhs < 1"/>
  <button type="button" (click)="compute()">Compute</button>
</div>
